import App from '@/App.vue'
import '@/assets/styles/css/normalize.css'
import idux from '@/common/idux'
import '@/assets/styles/css/index.css'
import router from '@/common/router/index.ts'
import echarts from '@/components/echarts/index.ts'

import { Settings } from 'luxon'
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
import { createApp } from 'vue'

createApp(App)
    .use(() => {
      Settings.defaultZone = 'Asia/Shanghai'
      Settings.defaultLocale = 'zh-CN'
    })
    .use(createPinia().use(piniaPluginPersistedstate))
    .use(router)
    .use(echarts)
    .use(idux)
    .mount('#app')

